%define name	BitTornado
%define version 0.3.18
%define release %mkrel 3

Summary:	Tool for copying files from one machine to another
Name:		%name
Version:	%version
Release:	%release
Epoch:		0
URL:		http://bittornado.com/
Source0:	http://download2.bittornado.com/download/%name-%version.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name-48.png
Patch: BitTornado-0.3.18-wxpython2.6.patch
License:	MIT
Group:		Networking/File transfer
BuildRoot:	%_tmppath/%name-buildroot
BuildARch:	noarch	
BuildRequires:	python-devel
Requires:	wxpython2.6
Conflicts:	bittorrent < 4.1.4
Conflicts:	bittorrent-gui  < 4.1.4
Conflicts:	kdelibs-common <= 3.1.3
Obsoletes:	bittorrent-shadowsclient
Provides:	bittorrent-shadowsclient
Requires(post):desktop-file-utils
Requires(postun):desktop-file-utils

%description
BitTorrent is a tool for copying files from one machine to another.
FTP punishes sites for being popular. Since all uploading is done
from one place, a popular site needs big iron and big bandwidth.
With BitTorrent, clients automatically mirror files they download,
making the publisher's burden almost nothing.

This package contains an experimental version of BitTorrent, which
contains many extra features.

%prep
%setup -q -n %name-CVS
%patch -p1

%build
python ./setup.py build

%install
%__rm -rf %buildroot
python setup.py install --root=%buildroot

# Icons
%__install -D -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png
%__install -D -m 644 %SOURCE2 %buildroot%_iconsdir/%name.png
%__install -D -m 644 %SOURCE3 %buildroot%_liconsdir/%name.png

# Menu


install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=BitTornado
Comment=Download BitTorrent files
Exec=%{_bindir}/btdownloadgui.py
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-bittorrent
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-maketorrent.desktop << EOF
[Desktop Entry]
Name=BitTornado Creator
Comment=Create BitTorrent metadata files
Exec=%{_bindir}/btcompletedirgui.py
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOF


# Mime
%__mkdir_p %buildroot%_datadir/mime-info

cat << EOF > %buildroot%_datadir/mime-info/%name.mime
application/x-bittorrent
	ext: torrent
EOF

%clean
%__rm -rf %buildroot

%if %mdkversion < 200900
%post
%{update_menus}
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_desktop_database
%endif

%files
%defattr(-,root,root)
%doc LICENSE.txt README* docs/*.txt
%_bindir/*
%py_puresitedir/*
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_datadir/mime-info/*
%_datadir/applications/mandriva-*




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.3.18-3mdv2009.0
+ Revision: 266082
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Götz Waschk <waschk@mandriva.org> 0:0.3.18-2mdv2009.0
+ Revision: 201174
- patch to use wxpython 2.6

* Thu Mar 13 2008 Andreas Hasenack <andreas@mandriva.com> 0:0.3.18-2mdv2008.1
+ Revision: 187681
- rebuild for 2008.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Götz Waschk <waschk@mandriva.org> 0:0.3.18-1mdv2008.0
+ Revision: 63639
- rename KDE mime-info file


* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 0.3.18-1mdv2007.0
+ Revision: 103060
- new version

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0:0.3.17-2mdv2007.1
+ Revision: 88434
- fix file list
- new version
- Import BitTornado

* Thu Oct 12 2006 Gtz Waschk <waschk@mandriva.org> 0:0.3.16-1mdv2007.1
- new version

* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0:0.3.15-5mdv2007.0
- Fix xdg menu

* Tue Jun 20 2006 Gtz Waschk <waschk@mandriva.org> 0:0.3.15-4mdv2007.0
- xdg menu

* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.com> 0:0.3.15-3mdv2007.0
- rebuild

* Wed Mar 08 2006 Gtz Waschk <waschk@mandriva.org> 0.3.15-2mdk
- use the right python macro

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 0.3.15-1mdk
- New release 0.3.15
- use mkrel

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 0.3.14-1mdk
- New release 0.3.14

* Fri Sep 23 2005 Götz Waschk <waschk@mandriva.org> 0.3.13-1mdk
- New release 0.3.13

* Thu Aug 25 2005 Gtz Waschk <waschk@mandriva.org> 0.3.12-2mdk
- fix conflict with bittorrent

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 0.3.12-1mdk
- New release 0.3.12

* Sat Apr 16 2005 Götz Waschk <waschk@linux-mandrake.com> 0.3.11-1mdk
- New release 0.3.11

* Sun Feb 06 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.3.10-1mdk
- New release 0.3.10

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.3.8-2mdk
- Rebuild for new python

* Fri Nov 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.8-1mdk
- drop patch (does not apply anymore)
- fix source URL
- New release 0.3.8

* Tue Sep 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.7-2mdk
- fix menu
- work around bug 10519 (thanks to nicolas)

* Wed Aug 04 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.3.7-1mdk
- New release 0.3.7

* Sat May 01 2004 David Walluck <walluck@mandrake.org> 0:0.2.0-1mdk
- BitTornado 0.2.0 replaces bittorrent-shadowsclient 5.8.11

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 5.8.11-1mdk
- fix url
- new version

